"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _print = _interopRequireDefault(require("./print"));

var _add = require("../add");

var _default = (file, filePath) => {
  const res = (0, _add.add)(file, filePath);

  switch (res) {
    case _add.response.success:
      return _print.default.info(`${file} is successfully added.`);

    case _add.response.alreadyAdded:
      return _print.default.warn(`${file} seems already added.`);

    case _add.response.unsupported:
      return _print.default.error('Unsupported configuration', `${file} is not supported by default. Specify file path.`);

    case _add.response.fail:
      return _print.default.error(`${file} was not added.`);
  }
};

exports.default = _default;