"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = require("lodash");

var _print = _interopRequireDefault(require("./print"));

var config = _interopRequireWildcard(require("../config"));

var _default = (type, key, value) => {
  switch (type) {
    case 'get':
      if ((0, _lodash.isNil)(key)) {
        _print.default.config(config.getConfig());
      } else if (config.keys.validate(key)) {
        _print.default.config(config.getConfig(), key);
      } else {
        _print.default.error('Input error', `Invalid key '${key}'`);
      }

      break;

    case 'set':
      if (config.keys.validate(key, value)) {
        const newConfig = config.setConfig(key, value);

        _print.default.config(newConfig, key);
      } else {
        _print.default.error('Input error', `Invalid key '${key}' and value '${value}'`);
      }

      break;

    default:
      _print.default.error('Input type', `Invalid type '${type}'. Only 'set' and 'get' is available`);

  }
};

exports.default = _default;