"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _leftPad = _interopRequireDefault(require("left-pad"));

var _co = _interopRequireDefault(require("co"));

var _coPrompt = _interopRequireDefault(require("co-prompt"));

var _chalk = _interopRequireDefault(require("chalk"));

var _github = require("../github/github");

var _gist = require("../github/gist");

var _download = require("../download");

var _config = require("../config");

var _print = _interopRequireDefault(require("./print"));

var _default = () => {
  const gist = (0, _config.getConfig)('repository.gist');
  const getGistAndDownload = gist && gist.length ? (0, _gist.get)(gist).then(executeDownload) : Promise.reject({
    code: 404
  });
  getGistAndDownload.catch(e => {
    // Gist id is not set or invalid gist id
    if (e && e.code === 404) {
      (0, _co.default)(function* () {
        _print.default.error('Invalid gist', 'Gist id is not set or invalid.');

        const gistId = yield (0, _coPrompt.default)(_chalk.default.green('Gist id: '));
        (0, _gist.get)(gistId).then(({
          data: {
            id
          }
        }) => (0, _config.setConfig)('repository.gist', id)).then(executeDownload).catch((_ref) => {
          let {
            message
          } = _ref,
              others = (0, _objectWithoutProperties2.default)(_ref, ["message"]);
          return _print.default.error(`GIST ERROR`, message + ' ' + JSON.stringify(others));
        }).then(() => process.stdin.pause());
      });
    }
  });
};

exports.default = _default;

const executeDownload = async () => {
  const downloadedFiles = await (0, _download.download)();

  _print.default.info(`Downloaded files successfully.`);

  _print.default.info(downloadedFiles.map(({
    name,
    path
  }) => `${(0, _leftPad.default)(name, 15)} > ${path}`).join('\n'));
};