"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

var _lodash = require("lodash");

var _version = _interopRequireDefault(require("../version"));

const printConfigPair = (config, key) => print.info(`${key} = ${(0, _lodash.get)(config, key)}`);

const printConfigObject = config => Object.keys(config).forEach(k => printConfigPair(config, k));

const print = {
  config: (config, key) => (0, _lodash.isNil)(key) ? printConfigObject(config) : printConfigPair(config, key),
  info: (...args) => console.log(...args),
  warn: (...args) => console.log(...args.map(a => _chalk.default.bold.yellow(a))),
  error: (type, message) => console.error(_chalk.default.red(`ERROR: ${type || ''} - ${message || ''}`))
};
var _default = print;
exports.default = _default;