"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validate = void 0;

var _lodash = require("lodash");

const keyMap = {
  'repository.type': /(gist)/,
  'repository.gist': /[\W]*/,
  'repository.githubToken': /[\w\W]*/,
  'file.createBackup': /(true|false)/
};
const keys = Object.keys(keyMap);
keys.forEach(key => {
  exports[key] = keyMap[key];
});

const validate = (...args) => {
  const [key, value] = args;
  if (key.match(/path\.*/)) return true;
  if (!(0, _lodash.has)(keyMap, key)) return false;

  if (args.length > 1) {
    if ((0, _lodash.isNil)(value)) return false;
    return String(value).match(keyMap[key]) !== null;
  }

  return keyMap.hasOwnProperty(key);
};

exports.validate = validate;