"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.edit = exports.get = exports.create = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _github = _interopRequireWildcard(require("./github"));

var _config = require("../config");

const create = (option = {}) => {
  (0, _github.authenticate)();
  return _github.default.gists.create((0, _objectSpread2.default)({
    description: 'Gist for icbm',
    public: false
  }, option)).then(res => (0, _config.setConfig)('repository.gist', res.data.id));
};

exports.create = create;

const get = id => {
  id = id || (0, _config.getConfig)('repository.gist');
  if (!id || !id.length) return Promise.reject({
    message: 'ID is empty'
  });
  return _github.default.gists.get({
    gist_id: id
  });
};

exports.get = get;

const edit = files => {
  (0, _github.authenticate)();
  return _github.default.gists.edit({
    gist_id: (0, _config.getConfig)('repository.gist'),
    files
  });
};

exports.edit = edit;