"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.authenticate = exports.default = void 0;

var _rest = _interopRequireDefault(require("@octokit/rest"));

var _config = require("../config");

var _getEnvVar = _interopRequireDefault(require("get-env-var"));

var _version = _interopRequireDefault(require("../version"));

const github = new _rest.default({
  debug: (0, _getEnvVar.default)('NODE_ENV', 'development') !== 'production',
  headers: {
    'user-agent': `icbm v${_version.default}, node v${process.versions.node}`
  }
});
var _default = github;
exports.default = _default;

const authenticate = () => {
  const token = (0, _config.getConfig)('repository.githubToken');
  if (!token) throw new Error(`Set github token using 'icbm config set repository.githubToken <token>'`);
  github.authenticate({
    type: 'oauth',
    token
  });
  return Promise.resolve();
};

exports.authenticate = authenticate;