"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.response = void 0;

var _path = _interopRequireDefault(require("path"));

var _mkdirp = require("mkdirp");

var _fs = _interopRequireDefault(require("fs"));

var _fsExtra = require("fs-extra");

var _lodash = require("lodash");

var _getEnvVar = _interopRequireDefault(require("get-env-var"));

var _paths = require("../paths");

var config = _interopRequireWildcard(require("../config"));

const alreadyRemoved = 'alreadyRemoved';
const success = 'success';
const fail = 'fail';
const response = {
  alreadyRemoved,
  success,
  fail
};
exports.response = response;

var _default = file => {
  (0, _mkdirp.sync)(_paths.appDir);
  let srcPath = null;
  const homePath = (0, _getEnvVar.default)('HOME', '');
  const configKey = `path.${file}`;
  const filePath = config.getConfig(configKey);
  if (!filePath) return alreadyRemoved;
  (0, _fsExtra.removeSync)(filePath);
  (0, _fsExtra.copySync)(_path.default.join(_paths.appDir, file), filePath);
  (0, _fsExtra.removeSync)(_path.default.join(_paths.appDir, file));
  config.removeConfig(configKey);
  return success;
};

exports.default = _default;